@import 'defaults';
@import 'fonts';

body.m-theme__light {
  color: rgba(0, 0, 0, 0.87);
  background-color: #fff;
}

body.m-theme__dark {
  color: rgba(255, 255, 255, 0.87);
  background-color: #080808;
}

h1,
h2,
h3,
h4 {
  font-family: 'Roboto', Helvetica, sans-serif;
  -webkit-font-smoothing: antialiased;
  text-rendering: optimizeLegibility;
}
h1 {
  font-weight: 300;
}

p {
  word-wrap: break-word;
}

.m-noshadow {
  box-shadow: 0 0 0 !important;
}

.m-border {
  border-radius: 6px;
  @include m-theme() {
    border: 1px solid themed($m-grey-50);
  }
}

minds-topbar {
  .minds-logo {
    height: 64px;
    box-sizing: border-box;
    padding: $minds-padding 0 $minds-padding * 2;
    width: 100px;
    margin-right: 24px;

    img {
      height: 100%;
    }
  }

  minds-topbar-navigation {
    nav {
      display: flex;
      flex-direction: row;

      a {
        text-decoration: none;
        display: flex;
        align-items: center;
        padding-right: $minds-padding;
        position: relative;

        .counter {
          padding: $minds-padding/2;
        }
      }
    }
  }

  .minds-account {
    img {
      height: 42px;
      max-height: 42px;
      border-radius: 50%;
    }
  }
}

@media screen and (max-width: $max-mobile) {
  minds-topbar {
    .minds-logo {
      display: block;
      position: fixed;
      width: 75px;
      height: 30px;
      left: calc(50vw - 35.5px);
      /* z-index: 1; */
      padding: 0;
      padding-bottom: 2px;
    }
    minds-topbar-navigation {
      nav a:first-of-type {
        //display:none;
      }
      nav a .counter {
        display: none;
      }
    }
    .minds-account img {
      height: 28px;
    }
  }
}

@media screen and (max-width: 320px) {
  minds-topbar minds-topbar-navigation nav {
    display: none;
  }
  minds-topbar minds-search-bar {
    display: none;
  }
}

.minds-login-box {
  padding: $minds-padding * 2;
  margin: auto;
  min-height: 100px;
}

.mdl-tabs__tab.is-active {
  @include m-theme() {
    border-bottom: 2px solid themed($m-amber);
  }
}

.mdl-textfield__label {
  .material-icons {
    line-height: 0;
    vertical-align: middle;
  }
}
.mdl-card__supporting-text {
  word-wrap: break-word;

  textarea {
    font-size: 13px;
    line-height: 18px;
    resize: none;
    @include m-theme() {
      color: rgba(themed($m-black), 0.87);
    }
  }
}

.coming-soon {
  section {
    height: 300px;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    display: flex;
    padding: 55px;
    text-transform: uppercase;
    font-weight: 100;
    font-size: 41px;
  }
}

.minds-spacer {
  height: $minds-padding;
  width: $minds-padding;
}
.minds-spacer-2x {
  height: $minds-padding * 2;
  width: $minds-padding * 2;
}

.minds-block {
  display: flex;
  flex-direction: row;

  .minds-avatar {
    margin-right: $minds-margin;
  }
  .minds-body {
    flex: 1;
  }
}

.minds-error {
  display: inline-block;
  vertical-align: middle;
  padding: 8px;
  font-size: 13px;
  border-radius: 3px;
}

.minds-reset-password-title {
  font-size: 16px;
  text-align: center;
  padding: 20px;
}

.minds-reset-password-link {
  padding: 20px 0px;
}

textarea {
  font-family: inherit;
  font-size: inherit;
  @include m-theme() {
    background-color: themed($m-white);
    color: rgba(themed($m-black), 0.87);
  }
}

.m-isomorphic-link {
  color: inherit;
  text-decoration: inherit;
  font-weight: inherit;
}

.m-scroll__thin {
  scrollbar-width: thin; // firefox only
}

.m-scroll__thin::-webkit-scrollbar,
.m-scroll__thin::-webkit-scrollbar:horizontal {
  width: 10px;
}

.m-scroll__thin::-webkit-scrollbar-track {
  @include m-theme() {
    background-color: rgba(themed($m-grey-50), 0.7);
  }
}

.m-scroll__thin::-webkit-scrollbar-thumb {
  @include m-theme() {
    background-color: themed($m-grey-100);
  }
}

blockquote {
  quotes: '';
}
blockquote:before {
  content: '\201C';
}
blockquote:after {
  content: '\201D';
}

@import '../app/**/*';
@import '../shims/smartbanner';
@import 'core/*';

@import 'components/*';
@import 'controllers/*';

@import 'overrides.scss';

@import 'ionicons.scss';
@import 'fontawesome.scss';

/**
 * For modern browsers
 * 1. The space content is one way to avoid an Opera bug when the
 *    contenteditable attribute is included anywhere else in the document.
 *    Otherwise it causes space to appear at the top and bottom of elements
 *    that are clearfixed.
 * 2. The use of `table` rather than `block` is only necessary if using
 *    `:before` to contain the top-margins of child elements.
 */
.cf:before,
.cf:after {
  content: ' '; /* 1 */
  display: table; /* 2 */
}

.cf:after {
  clear: both;
}

body.m-theme-in-transition,
body.m-theme-in-transition *,
body.m-theme-in-transition *:before,
body.m-theme-in-transition *:after {
  transition: background-color 0.75s ease 0s, border-color 0.75s ease 0s,
    box-shadow 0.75s ease 0s, stroke 0.75s ease 0s, fill 0.75s ease 0s !important;
}
